get
https://demo.inhousedelivery.cloud/v1/deliveries/locations//config
Returns the delivery configuration for a given location
| property | type | description |
|---|---|---|
| pickup_notes | string | Notes set by the pickup location (store) to instruct drivers where to pickup the order upon arrival on site. Notes are empty by default. |
| deliverable_action | string | Default deliverable action setting to instruct driver on the how the order needs to be delivered to the customer. "leave_at_door" is used for contactless deliveries. Default deliverable action is to hand the order to the customer. |
| undeliverable_action | string | Default action for the driver is unable to contact the customer to hand over the order. "leave_at_door" is the default value. |
| dispatch_mode | string | Main dispatch setting controlling whether auto dispatching is enabled for this location or not. Used as a way to pause the dispatching process. "external" sets all incoming orders to be dispatched to DSPs. "manual" turns off auto- dispatching. Incoming orders are created but not dispatched. |
| service_providers | array | List of available DSPs for this location |
| default_requires_id | boolean | Sets the default value for the ID check requirement to be on / off by default for all deliveries. |
| requires_id_keywords | array | List of string values which are checked against all order items. When a specified keyword is found in the order, ID check requirement is turned on for that order. |
| healthcheck_notifications | boolean | Switches the notification alerts on / off for delayed orders. |
| late_pickup_notification_mins | integer | Number of minutes before an alert notification is sent out when a driver is late to pickup the order |
| late_dropoff_notification_mins | integer | Number of minutes before an alert notification is sent out when a driver is late to dropoff the order |
